EDIT - bug #7521

refresh of taxonnavigator sometimes does not work for moving taxonnodes
06/28/2018 09:00 AM - Katja Luther

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal Found in Version:

Description

this is a remaining issue of 'Move taxonnodes should be available for multiple selection’ (#7463#note-29)
Andreas Miller wrote:

The refresh issue still exists and is critical. It seems to happen with large subtrees. E.g. I mov
ed Charyophyllaceae Juss. with all its >>100 children from 1 classification to another. This took
some time (percentage was at 100 for longer time before the job really finished, so we should also
work on the percentage computation, 100% should not be reached before the save has really finishe
d - save takes long because many tree indexes need to be recomputed).

Using refresh from menu did also not work. Only reopening navigator did solve the problem.

This still happens though it does not happen always. Once the tree is opened at both places it does not happen but at beginning it
may happen.

Related issues:

Related to EDIT - feature request #7463: Move taxonnodes should be available ... Closed
Related to EDIT - bug #5670: Refresh of Taxon Navigator Closed
History

#1 - 06/28/2018 09:01 AM - Katja Luther

- Related to feature request #7463: Move taxonnodes should be available for multiple selection added

#2 - 08/17/2018 03:53 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#3 - 09/06/2018 08:48 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#4 - 10/23/2018 10:38 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#5 - 02/19/2019 02:44 PM - Andreas Miller

- Target version changed from Release 5.5 to Release 5.6

#6 - 02/19/2019 03:21 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#7 - 10/10/2019 05:45 PM - Andreas Kohlbecker
- Related to bug #5670: Refresh of Taxon Navigator added

#8 - 02/26/2021 10:26 AM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.21

this should also be fixed while working on #5670
https://dev.e-taxonomy.eu/redmine/issues/7463#note-29
https://dev.e-taxonomy.eu/redmine/issues/5670

#9 - 03/05/2021 11:37 AM - Andreas Miiller
- Description updated

#10 - 03/05/2021 11:44 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 100

Seems to work now
